- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
qi::ListTypeInterfaceImpl< T, H > Class Template Reference

`#include <listtypeinterface.hxx>`

## Public Types
using | MethodsImpl = DefaultTypeImplMethods< T, TypeByPointerPOD< T >>

## Public Member Functions
| ListTypeInterfaceImpl ()
size_t | size (void *storage) override
TypeInterface * | elementType () override
AnyIterator | begin (void *storage) override
AnyIterator | end (void *storage) override
void | pushBack (void **storage, void *valueStorage) override
| _QI_BOUNCE_TYPE_METHODS (MethodsImpl)

## Public Attributes
TypeInterface * | _elementType

## Detailed Description

### template<typename T, typename H = ListTypeInterface>
class qi::ListTypeInterfaceImpl< T, H >

Definition at line 20 of file listtypeinterface.hxx.

## Member Typedef Documentation

template<typename T, typename H = ListTypeInterface>

using qi::ListTypeInterfaceImpl< T, H >::MethodsImpl = DefaultTypeImplMethods<T, TypeByPointerPOD<T>>

Definition at line 23 of file listtypeinterface.hxx.

## Constructor & Destructor Documentation

template<typename T , typename H >

qi::ListTypeInterfaceImpl< T, H >::ListTypeInterfaceImpl | ( |  | ) |

Definition at line 68 of file listtypeinterface.hxx.

## Member Function Documentation

template<typename T, typename H = ListTypeInterface>

qi::ListTypeInterfaceImpl< T, H >::_QI_BOUNCE_TYPE_METHODS | ( | MethodsImpl |  | ) |

template<typename T , typename H >

AnyIterator qi::ListTypeInterfaceImpl< T, H >::begin | ( | void * | storage | ) |
| override

Reimplemented in qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >.

Definition at line 80 of file listtypeinterface.hxx.

template<typename T , typename H >

TypeInterface * qi::ListTypeInterfaceImpl< T, H >::elementType | ( |  | ) |
| override

Definition at line 74 of file listtypeinterface.hxx.

template<typename T , typename H >

AnyIterator qi::ListTypeInterfaceImpl< T, H >::end | ( | void * | storage | ) |
| override

Reimplemented in qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >.

Definition at line 87 of file listtypeinterface.hxx.

template<typename T , typename H >

void qi::ListTypeInterfaceImpl< T, H >::pushBack | ( | void ** | storage,
|  | void * | valueStorage
| ) |  |
| override

Reimplemented in qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >.

Definition at line 106 of file listtypeinterface.hxx.

template<typename T , typename H >

size_t qi::ListTypeInterfaceImpl< T, H >::size | ( | void * | storage | ) |
| override

Reimplemented in qi::VarArgsTypeInterfaceImpl< qi::VarArguments< T > >.

Definition at line 113 of file listtypeinterface.hxx.

## Member Data Documentation

template<typename T, typename H = ListTypeInterface>

TypeInterface* qi::ListTypeInterfaceImpl< T, H >::_elementType

Definition at line 31 of file listtypeinterface.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/listtypeinterface.hxx